获取 windowsDeviceMalwareState

命名空间:microsoft.graph.managedTenants

重要

Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

读取 windowsDeviceMalwareState 对象的属性和 关系。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) DeviceManagementManagedDevices.Read.All、DeviceManagementManagedDevices.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 不支持。

HTTP 请求

GET /tenantRelationships/managedTenants/windowsDeviceMalwareStates/{windowsDeviceMalwareStateId}

可选的查询参数

此方法支持 OData 查询参数 来帮助自定义响应,包括 $apply $count $filter $orderBy $select 、、 $skip$top

请求标头

名称 说明
Authorization Bearer {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法在响应正文中返回 响应代码和 200 OK windowsDeviceMalwareState 对象。

示例

请求

GET https://graph.microsoft.com/beta/tenantRelationships/managedTenants/windowsDeviceMalwareStates/{windowsDeviceMalwareStateId}

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "@odata.type": "#microsoft.graph.managedTenants.windowsDeviceMalwareState",
    "id": "34298981-4fc8-4974-9486-c8909ed1521b_c9c8328e-7be6-48f6-8ddc-be3aae112f0d_2147714402",
    "managedDeviceId": "c9c8328e-7be6-48f6-8ddc-be3aae112f0d",
    "managedDeviceName": "vm12",
    "malwareId": "2147714402",
    "malwareExecutionState": "Unknown",
    "malwareThreatState": "Active",
    "initialDetectionDateTime": "2021-07-09T14:33:49Z",
    "lastStateChangeDateTime": "2021-07-09T14:33:49Z",
    "detectionCount": 9,
    "deviceDeleted": false,
    "malwareCategory": "TrojanDownloader",
    "malwareSeverity": "Severe",
    "malwareDisplayName": "TrojanDownloader:Win32/Vigorf.A",
    "lastRefreshedDateTime": "2021-07-11T00:02:20.7750537Z",
    "additionalInformationUrl": "https://go.microsoft.com/fwlink/?linkid=37020&name=TrojanDownloader%3AWin32%2FVigorf%2EA&threatid=2147714402&enterprise=1",
    "tenantId": "34298981-4fc8-4974-9486-c8909ed1521b",
    "tenantDisplayName": "Fourth Coffee"
}